Name:		perl-Text-BarGraph
Version:	1.1
Release:	0.3
%global  cpan_name Text-BarGraph
Summary:	ACII Bar graph generator
License:	Artistic Clarified
Url:		http://search.cpan.org/dist/Text-BarGraph/
Source0:	http://www.cpan.org/authors/id/K/KB/KBAUCOM/%{cpan_name}-%{version}.tar.gz
Source1:	http://sourceforge.net/projects/perltextbargraph/files/LICENSE
BuildArch:	noarch
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker)


%description
Text::BarGraph is a simple Perl module for generating ASCII bar graphs based
on data in a hash, where the keys are labels and the values are magnitudes.
It automatically scales the graph to fit on your terminal screen. It is very
useful in making data more meaningful. For example, it can be used with
statistics gathered from a log file.

%prep
%setup -q -n %{cpan_name}-%{version}
cp %{_sourcedir}/LICENSE %{_builddir}/%{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%{__make} pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'


%files 
%doc Changes examples README LICENSE
%{_mandir}/man3/Text::BarGraph.3pm*
%dir %{perl_vendorlib}/Text/
%{perl_vendorlib}/Text/BarGraph.pm


%changelog
* Tue Aug 6 2013 Veaceslav Mindru <mindruv@gmail.com> - 1.1-0.3
- initial package
- updated spec file 
- added Source1 with LICENSE
